# dynudpsink

Send data over the network via UDP with packet destinations picked up dynamically from meta on the buffers passed

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSink
                        ╰──dynudpsink

## Factory details

Authors: – Philippe Khalaf

Classification: – `Sink/Network`

Rank – none

Plugin – udp

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

## Action Signals

### get-stats

    g_signal_emit_by_name (param_0, "get-stats", arg0, arg1, &ret);

    ret = param_0.emit ("get-stats", arg0, arg1)

    let ret = param_0.emit ("get-stats", arg0, arg1);

Parameters:

`param_0` (GstElement *) –
No description available
`arg0` (gchararray) –
No description available
`arg1` (gint) –
No description available
Returns (GstStructure *) –
No description available

Flags: Run Last / Action

## Properties

### bind-address

    “bind-address” gchararray

Address to bind the socket to

Flags : Read / Write

Default value : NULL

### bind-port

    “bind-port” gint

Port to bind the socket to

Flags : Read / Write

Default value : 0

### close-socket

    “close-socket” gboolean

Close socket if passed as property on state change

Flags : Read / Write

Default value : true

### socket

    “socket” GSocket *

Socket to use for UDP sending. (NULL == allocate)

Flags : Read / Write

### socket-v6

    “socket-v6” GSocket *

Socket to use for UDPv6 sending. (NULL == allocate)

Flags : Read / Write

The results of the search are